# -*- coding: utf-8 -*-
# programme-zu-IV-Frame-V4.py
# Schritt 4: Zur Übung:
# Einbau von StaticText und TextCtrl.
# Problem: Positionierung nicht auf dem Frame,
# sondern auf den Panel! [self->panel]

import  wx

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(
            self, parent, ID, title, pos=wx.DefaultPosition,
            size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
            ):

        wx.Frame.__init__(self, parent, ID, title, pos, size, style)
        panel = wx.Panel(self, -1)

        button = wx.Button(panel, 1003, "Close Me")
        button.SetPosition((15, 15))
        self.Bind(wx.EVT_BUTTON, self.OnCloseMe, button)
        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)
        
        label1 = wx.StaticText(panel, -1, "Hier kommt ein wx.TextCtrl")
        label1.SetPosition((15, 85))
        textfeld1 = wx.TextCtrl(panel, -1, "Anfangsinhalt", size=(125, -1))
        textfeld1.SetPosition((15, 145))


    def OnCloseMe(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        self.Destroy()

#---------------------------------------------------------------------------

class MyApp(wx.App):    

    def OnInit(self):
        fenster = MyFrame(None, -1, "Test")
        fenster.Show(True)
        return True
        
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
